merge_named_branch {git2r} | R Documentation

## Merge named branch into HEAD

### Description

Merge named branch into HEAD

### Usage

    merge_named_branch(repo, branch, commit_on_success, merger)

### Arguments

`repo` | The repository
`branch` | Name of branch
`commit_on_success` | If there are no conflicts written to the index, the merge commit will be committed.
`merger` | Who made the merge.

### Value

A `git_merge_result` object.

[Package git2r version 0.20.0 Index]